FLTK 1.4.4

Loading...
Searching...
No Matches
Fl_PostScript.H File Reference

declaration of classes Fl_PostScript_File_Device and Fl_EPS_File_Surface. More...

`#include <FL/Fl_Paged_Device.H>`
`#include <FL/fl_draw.H>`
`#include <stdarg.h>`

Go to the source code of this file.

## Classes
class | Fl_EPS_File_Surface
| Encapsulated PostScript drawing surface. More...
class | Fl_PostScript_File_Device
| To send graphical output to a PostScript file. More...

## Typedefs
typedef int(* | Fl_PostScript_Close_Command) (FILE *)
| Signature of functions FLTK may use to close FILE variables after PostScript/EPS output.

## Detailed Description

declaration of classes Fl_PostScript_File_Device and Fl_EPS_File_Surface.

## Typedef Documentation

## ◆ Fl_PostScript_Close_Command

typedef int(* Fl_PostScript_Close_Command) (FILE *)

Signature of functions FLTK may use to close FILE variables after PostScript/EPS output.

A non-null return value indicates output error.

See also
  Fl_PostScript_File_Device::close_command() and Fl_EPS_File_Surface::Fl_EPS_File_Surface().